## percona-pgaudit14-set-user 3.0.0

=== Makefile ===
MODULES = set_user

EXTENSION = set_user
DATA = set_user--3.0.sql set_user--2.0--3.0.sql set_user--1.6--2.0.sql set_user--1.5--1.6.sql set_user--1.4--1.5.sql set_user--1.1--1.4.sql set_user--1.0--1.1.sql
PGFILEDESC = "set_user - similar to SET ROLE but with added logging"

REGRESS = set_user

LDFLAGS_SL += $(filter -lm, $(LIBS))

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/set_user
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

.PHONY: install-headers uninstall-headers

install: install-headers

install-headers:
	$(MKDIR_P) "$(DESTDIR)$(includedir)"
	$(INSTALL_DATA) "set_user.h" "$(DESTDIR)$(includedir)"

uninstall: uninstall-headers

uninstall-headers:
	rm "$(DESTDIR)$(includedir)/set_user.h"

=== debian/changelog ===
percona-pgaudit14-set-user (3.0.0-2) unstable; urgency=medium

  * Update to new pgaudit version 3.0.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 17 Nov 2021 03:52:49 +0000

percona-pgaudit14-set-user (3.0.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 17 Nov 2021 03:52:40 +0000

=== debian/control ===
Source: percona-pgaudit14-set-user
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 libkrb5-dev,
 libssl-dev,
 percona-postgresql-server-dev-all (>= 153~),
Standards-Version: 3.9.8

Package: percona-pgaudit14-set-user
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14 (>= 14.1) | percona-postgresql-14 (>= 14.1)
Provides: pgaudit-set-user, postgresql-14-pgaudit-set-user
Description: PostgreSQL Audit Set User Extension
  PostgreSQL is an advanced Object-Relational database management
  system. The PostgreSQL Audit extension (pgaudit) provides detailed
  session and/or object audit logging via the standard PostgreSQL
  logging facility. The set_user part of that extension allows for
  extra logging with regard to granting of superuser privileges, and also
  enforces a superuser-request policy over direct superuser logins.

=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_build:
	make USE_PGXS=1

override_dh_auto_install:
	make USE_PGXS=1 install DESTDIR=debian/percona-pgaudit14-set-user/

%:
	dh $@

## percona-pgaudit14-set-user 4.0.1

=== debian/changelog ===
percona-pgaudit14-set-user (4.0.1-2) unstable; urgency=medium

  * Update to new pgaudit version 4.0.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 05 Jun 2023 18:44:40 +0000

percona-pgaudit14-set-user (4.0.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 05 Jun 2023 18:44:29 +0000

## percona-pgaudit14-set-user 4.1.0

=== debian/changelog ===
percona-pgaudit14-set-user (4.1.0-1) unstable; urgency=medium

  * Update to new pgaudit version 4.1.0

 -- root <root@62119902dcbe>  Thu, 22 May 2025 15:10:21 +0000

percona-pgaudit14-set-user (4.1.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 22 May 2025 15:07:38 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: percona-pgaudit14-set-user
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14 (>= 14.1) | percona-postgresql-14 (>= 14.1)
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14 (>= 14.15) | percona-postgresql-14 (>= 14.15)
 Provides: pgaudit-set-user, postgresql-14-pgaudit-set-user
 Description: PostgreSQL Audit Set User Extension
   PostgreSQL is an advanced Object-Relational database management
